This endpoint starts a KYC (Know Your Customer) agent job with the specified parameters.
API Endpoint
POST https://api.parcha.ai/api/v1/startKYCAgentJob
Request Body
string
required
Your KYC agent key from the Parcha dashboard. This is unique to your organization and agent configuration.
Important: You must use your own agent key, not a default or public agent key. Your agent key can be found in the Parcha dashboard under your agent’s settings, or in the “Test API Integration” dialog.
object
required
The KYC schema containing the individual’s information.
Show KYC Schema Properties
string
required
A unique identifier for this KYC case.
object
required
Self-attested information about the individual.
Show Common Object Types
object
Standard address format used throughout the schema.
Show Address Properties
string
required
Primary street address line
string
Secondary street address line (optional)
string
required
City name
string
required
State/province code
string
required
Two-letter ISO country code (e.g., “US”, “GB”)
string
required
Postal/ZIP code
object
Standard document format used throughout the schema.
Show Document Properties
string
URL to access the document. Required if b64_document is not provided.
string
required
Name of the file including extension
string
required
Type of document source. Currently supported: “file_url”
string
Base64 encoded document content. Required if url is not provided.
Show Self Attested Data Properties
string
required
The individual’s first name
string
The individual’s middle name
string
required
The individual’s last name
string
The individual’s date of birth in YYYY-MM-DD format
object
The individual’s address.
Uses the Address Object format defined above.
array
Array of associated addresses for the individual.
Each item uses the Address Object format defined above.
string
Two-letter ISO country code of nationality
string
Two-letter ISO country code of residence
string
Place of birth (city, country)
string
Individual’s sex
string
Email address
string
Phone number
array
Array of address proof document objects.
Each item uses the Document Object format defined above.
object
Government ID verification data.
Show Government ID Properties
object
Show ID Data Properties
string
First name as shown on ID
string
Last name as shown on ID
string
Middle names as shown on ID
string
Date of birth in YYYY-MM-DD format
string
Type of ID document (e.g., “Driver’s License”, “Passport”)
string
ID document number
object
Address shown on ID.
Uses the Address Object format defined above.
string
Country that issued the ID
string
Phone number on ID
string
URL to front image of ID
string
URL to back image of ID
string
URL to face match image
string
URL to face match video
string
Name of ID verification vendor
string
URL to vendor’s verification page
boolean
Whether vendor validated the document
object
Vendor-specific verification data
object
Sanctions and watchlist screening results.
Show Screening Properties
object
array
Array of sanctions matches
object
Politically Exposed Person (PEP) screening results.
Show PEP Screening Properties
object
array
Array of PEP matches
string
An optional URL to receive webhook notifications about the job status.
string
An optional Slack webhook URL to receive notifications about the job status.
array
An optional array of specific check IDs to run. If not provided, all checks will be run.
string
Optional. A unique identifier (UUID) that you can provide for this job.
If provided, this ID will be used as an idempotency key.
If a job with this ID already exists, the API will return a 409 Conflict error, and you can then use this job_id to retrieve the existing job’s status and results using /getJobById.
If not provided, a new unique ID will be automatically generated for the job.
Response
string
The status of the job creation request. Will be “ok” if successful.
string
The unique identifier for the created job.
string
A message indicating the result of the job creation request.
object
Details about the created job.
Show Job Properties
string
The unique identifier of the job.
string
The current status of the job (e.g., “PENDING”, “RUNNING”, “COMPLETE”, “FAILED”, “RETRIED”).
{ "error": "Job with the provided ID already exists.", "job_id": "your-custom-job-id-123e4567-e89b-12d3-a456-426614174002"}
This endpoint initiates a KYC agent job with the provided parameters. The response includes a job ID that can be used to track the progress and retrieve results of the KYC process.
Authorizations
Authorization
string
header
required
API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.
Body
application/json
agent_key
string
required
The unique identifier for the agent
check_ids
string[]
The check IDs to run (runs all checks in agent configuration if not provided)
kyc_schema
object
Show child attributes
Response
Job started successfully
status
enum<string>
Available options:
ok,
failed,
mock_success
job_id
string | null
message
string
job
object | null
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Parcha API Documentation","colors":{"primary":"#5D5FEF","light":"#FEFB92","dark":"#5D5FEF"},"favicon":"/favicon.svg","logo":{"light":"https://mintcdn.com/parcha/_GDYRpzYlMyc6wKU/images/parcha_purple.svg?fit=max\u0026auto=format\u0026n=_GDYRpzYlMyc6wKU\u0026q=85\u0026s=eb582957b67a0292fa1a30de92e43bf4","dark":"https://mintcdn.com/parcha/_GDYRpzYlMyc6wKU/images/parcha_yellow.svg?fit=max\u0026auto=format\u0026n=_GDYRpzYlMyc6wKU\u0026q=85\u0026s=b6e0a83a96d0a2dee0271201ae9b9a76"},"navbar":{"links":[{"label":"Support","href":"mailto:support@parcha.ai"}],"primary":{"type":"button","label":"Dashboard","href":"https://preview.parcha.ai"}},"navigation":{"global":{"anchors":[{"anchor":"Blog","href":"https://parcha.ai/blog","icon":"newspaper"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"parcha","hasAudioNarration":false,"actualSubdomain":"parcha","customDomains":["docs.parcha.ai"],"gitSource":{"type":"github","owner":"parcha-ai","repo":"parcha-docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ae92129e25383f1c0a5f0a2:success","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"API Reference","count":115},{"language":"default","tag":"Documentation","count":33},{"language":"default","tag":"Know Your Business (KYB)","count":19},{"language":"default","tag":"KYB Checks","count":17},{"language":"default","tag":"Checks Results","count":13},{"language":"default","tag":"Compliance Checks","count":12},{"language":"default","tag":"Business (KYB) Checks","count":10},{"language":"default","tag":"Getting Started","count":10},{"language":"default","tag":"Document Verifications","count":6},{"language":"default","tag":"Know Your Customer (KYC)","count":6}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/startKYCAgentJob","slug":"/api-reference/startKYCAgentJob","pageMetadata":{"title":"Start KYC Agent Job","description":"Initiate a Know Your Customer (KYC) agent job","openapi":"POST /startKYCAgentJob","href":"/api-reference/startKYCAgentJob"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Initiate a Know Your Customer (KYC) agent job\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,CodeGroup,Expandable,Heading,ParamField,ResponseField,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This endpoint starts a KYC (Know Your Customer) agent job with the specified parameters.`}),`\n`,_jsx(Heading,{level:`2`,id:`api-endpoint`,children:`API Endpoint`}),`\n`,_jsx(CodeBlock,{numberOfLines:`2`,language:`text`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`text`,children:_jsxs(_components.code,{language:`text`,numberOfLines:`2`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{children:`POST https://api.parcha.ai/api/v1/startKYCAgentJob`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{})})]})})}),`\n`,_jsx(Heading,{level:`2`,id:`request-body`,children:`Request Body`}),`\n`,_jsx(ParamField,{body:`agent_key`,type:`string`,required:true,id:`param-agent-key`,children:_jsx(_components.p,{children:`Your KYC agent key from the Parcha dashboard. This is unique to your organization and agent configuration.`})}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Important`}),`: You must use your own agent key, not a default or public agent key. Your agent key can be found in the Parcha dashboard under your agent’s settings, or in the “Test API Integration” dialog.`]})}),`\n`,_jsxs(ParamField,{body:`kyc_schema`,type:`object`,required:true,id:`param-kyc-schema`,children:[_jsx(_components.p,{children:`The KYC schema containing the individual’s information.`}),_jsxs(Expandable,{title:`KYC Schema Properties`,children:[_jsx(ParamField,{body:`id`,type:`string`,required:true,id:`param-id`,children:_jsx(_components.p,{children:`A unique identifier for this KYC case.`})}),_jsxs(ParamField,{body:`self_attested_data`,type:`object`,required:true,id:`param-self-attested-data`,children:[_jsx(_components.p,{children:`Self-attested information about the individual.`}),_jsxs(Expandable,{title:`Common Object Types`,children:[_jsxs(ParamField,{body:`Address Object`,type:`object`,id:`param-address-object`,children:[_jsx(_components.p,{children:`Standard address format used throughout the schema.`}),_jsxs(Expandable,{title:`Address Properties`,children:[_jsx(ParamField,{body:`street_1`,type:`string`,required:true,id:`param-street-1`,children:_jsx(_components.p,{children:`Primary street address line`})}),_jsx(ParamField,{body:`street_2`,type:`string`,id:`param-street-2`,children:_jsx(_components.p,{children:`Secondary street address line (optional)`})}),_jsx(ParamField,{body:`city`,type:`string`,required:true,id:`param-city`,children:_jsx(_components.p,{children:`City name`})}),_jsx(ParamField,{body:`state`,type:`string`,required:true,id:`param-state`,children:_jsx(_components.p,{children:`State/province code`})}),_jsx(ParamField,{body:`country_code`,type:`string`,required:true,id:`param-country-code`,children:_jsx(_components.p,{children:`Two-letter ISO country code (e.g., “US”, “GB”)`})}),_jsx(ParamField,{body:`postal_code`,type:`string`,required:true,id:`param-postal-code`,children:_jsx(_components.p,{children:`Postal/ZIP code`})})]})]}),_jsxs(ParamField,{body:`Document Object`,type:`object`,id:`param-document-object`,children:[_jsx(_components.p,{children:`Standard document format used throughout the schema.`}),_jsxs(Expandable,{title:`Document Properties`,children:[_jsx(ParamField,{body:`url`,type:`string`,id:`param-url`,children:_jsx(_components.p,{children:`URL to access the document. Required if b64_document is not provided.`})}),_jsx(ParamField,{body:`file_name`,type:`string`,required:true,id:`param-file-name`,children:_jsx(_components.p,{children:`Name of the file including extension`})}),_jsx(ParamField,{body:`source_type`,type:`string`,required:true,id:`param-source-type`,children:_jsx(_components.p,{children:`Type of document source. Currently supported: “file_url”`})}),_jsx(ParamField,{body:`b64_document`,type:`string`,id:`param-b64-document`,children:_jsx(_components.p,{children:`Base64 encoded document content. Required if url is not provided.`})})]})]})]}),_jsxs(Expandable,{title:`Self Attested Data Properties`,children:[_jsx(ParamField,{body:`first_name`,type:`string`,required:true,id:`param-first-name`,children:_jsx(_components.p,{children:`The individual’s first name`})}),_jsx(ParamField,{body:`middle_name`,type:`string`,id:`param-middle-name`,children:_jsx(_components.p,{children:`The individual’s middle name`})}),_jsx(ParamField,{body:`last_name`,type:`string`,required:true,id:`param-last-name`,children:_jsx(_components.p,{children:`The individual’s last name`})}),_jsx(ParamField,{body:`date_of_birth`,type:`string`,id:`param-date-of-birth`,children:_jsx(_components.p,{children:`The individual’s date of birth in YYYY-MM-DD format`})}),_jsx(ParamField,{body:`address`,type:`object`,id:`param-address`,children:_jsx(_components.p,{children:`The individual’s address.\nUses the Address Object format defined above.`})}),_jsx(ParamField,{body:`associated_addresses`,type:`array`,id:`param-associated-addresses`,children:_jsx(_components.p,{children:`Array of associated addresses for the individual.\nEach item uses the Address Object format defined above.`})}),_jsx(ParamField,{body:`country_of_nationality`,type:`string`,id:`param-country-of-nationality`,children:_jsx(_components.p,{children:`Two-letter ISO country code of nationality`})}),_jsx(ParamField,{body:`country_of_residence`,type:`string`,id:`param-country-of-residence`,children:_jsx(_components.p,{children:`Two-letter ISO country code of residence`})}),_jsx(ParamField,{body:`place_of_birth`,type:`string`,id:`param-place-of-birth`,children:_jsx(_components.p,{children:`Place of birth (city, country)`})}),_jsx(ParamField,{body:`sex`,type:`string`,id:`param-sex`,children:_jsx(_components.p,{children:`Individual’s sex`})}),_jsx(ParamField,{body:`email`,type:`string`,id:`param-email`,children:_jsx(_components.p,{children:`Email address`})}),_jsx(ParamField,{body:`phone`,type:`string`,id:`param-phone`,children:_jsx(_components.p,{children:`Phone number`})}),_jsx(ParamField,{body:`proof_of_address_documents`,type:`array`,id:`param-proof-of-address-documents`,children:_jsx(_components.p,{children:`Array of address proof document objects.\nEach item uses the Document Object format defined above.`})}),_jsxs(ParamField,{body:`government_id_check`,type:`object`,id:`param-government-id-check`,children:[_jsx(_components.p,{children:`Government ID verification data.`}),_jsx(Expandable,{title:`Government ID Properties`,children:_jsx(ParamField,{body:`data`,type:`object`,id:`param-data`,children:_jsxs(Expandable,{title:`ID Data Properties`,children:[_jsx(ParamField,{body:`id_first_name`,type:`string`,id:`param-id-first-name`,children:_jsx(_components.p,{children:`First name as shown on ID`})}),_jsx(ParamField,{body:`id_last_name`,type:`string`,id:`param-id-last-name`,children:_jsx(_components.p,{children:`Last name as shown on ID`})}),_jsx(ParamField,{body:`id_middle_names`,type:`string`,id:`param-id-middle-names`,children:_jsx(_components.p,{children:`Middle names as shown on ID`})}),_jsx(ParamField,{body:`id_date_of_birth`,type:`string`,id:`param-id-date-of-birth`,children:_jsx(_components.p,{children:`Date of birth in YYYY-MM-DD format`})}),_jsx(ParamField,{body:`id_type`,type:`string`,id:`param-id-type`,children:_jsx(_components.p,{children:`Type of ID document (e.g., “Driver’s License”, “Passport”)`})}),_jsx(ParamField,{body:`id_number`,type:`string`,id:`param-id-number`,children:_jsx(_components.p,{children:`ID document number`})}),_jsx(ParamField,{body:`id_address`,type:`object`,id:`param-id-address`,children:_jsx(_components.p,{children:`Address shown on ID.\nUses the Address Object format defined above.`})}),_jsx(ParamField,{body:`id_country`,type:`string`,id:`param-id-country`,children:_jsx(_components.p,{children:`Country that issued the ID`})}),_jsx(ParamField,{body:`id_phone`,type:`string`,id:`param-id-phone`,children:_jsx(_components.p,{children:`Phone number on ID`})}),_jsx(ParamField,{body:`id_front_image_url`,type:`string`,id:`param-id-front-image-url`,children:_jsx(_components.p,{children:`URL to front image of ID`})}),_jsx(ParamField,{body:`id_back_image_url`,type:`string`,id:`param-id-back-image-url`,children:_jsx(_components.p,{children:`URL to back image of ID`})}),_jsx(ParamField,{body:`id_face_match_image_url`,type:`string`,id:`param-id-face-match-image-url`,children:_jsx(_components.p,{children:`URL to face match image`})}),_jsx(ParamField,{body:`id_face_match_video_url`,type:`string`,id:`param-id-face-match-video-url`,children:_jsx(_components.p,{children:`URL to face match video`})}),_jsx(ParamField,{body:`id_verification_vendor`,type:`string`,id:`param-id-verification-vendor`,children:_jsx(_components.p,{children:`Name of ID verification vendor`})}),_jsx(ParamField,{body:`vendor_verification_url`,type:`string`,id:`param-vendor-verification-url`,children:_jsx(_components.p,{children:`URL to vendor’s verification page`})}),_jsx(ParamField,{body:`vendor_validated_document`,type:`boolean`,id:`param-vendor-validated-document`,children:_jsx(_components.p,{children:`Whether vendor validated the document`})}),_jsx(ParamField,{body:`vendor_id_verification_data`,type:`object`,id:`param-vendor-id-verification-data`,children:_jsx(_components.p,{children:`Vendor-specific verification data`})})]})})})]}),_jsxs(ParamField,{body:`sanctions_watchlist_screening_check`,type:`object`,id:`param-sanctions-watchlist-screening-check`,children:[_jsx(_components.p,{children:`Sanctions and watchlist screening results.`}),_jsx(Expandable,{title:`Screening Properties`,children:_jsx(ParamField,{body:`data`,type:`object`,id:`param-data-1`,children:_jsx(ParamField,{body:`sanctions_data`,type:`array`,id:`param-sanctions-data`,children:_jsx(_components.p,{children:`Array of sanctions matches`})})})})]}),_jsxs(ParamField,{body:`pep_screening_check`,type:`object`,id:`param-pep-screening-check`,children:[_jsx(_components.p,{children:`Politically Exposed Person (PEP) screening results.`}),_jsx(Expandable,{title:`PEP Screening Properties`,children:_jsx(ParamField,{body:`data`,type:`object`,id:`param-data-2`,children:_jsx(ParamField,{body:`pep_data`,type:`array`,id:`param-pep-data`,children:_jsx(_components.p,{children:`Array of PEP matches`})})})})]})]})]})]})]}),`\n`,_jsx(ParamField,{body:`webhook_url`,type:`string`,id:`param-webhook-url`,children:_jsx(_components.p,{children:`An optional URL to receive webhook notifications about the job status.`})}),`\n`,_jsx(ParamField,{body:`slack_webhook_url`,type:`string`,id:`param-slack-webhook-url`,children:_jsx(_components.p,{children:`An optional Slack webhook URL to receive notifications about the job status.`})}),`\n`,_jsx(ParamField,{body:`check_ids`,type:`array`,id:`param-check-ids`,children:_jsx(_components.p,{children:`An optional array of specific check IDs to run. If not provided, all checks will be run.`})}),`\n`,_jsx(ParamField,{body:`job_id`,type:`string`,id:`param-job-id`,children:_jsxs(_components.p,{children:[`Optional. A unique identifier (UUID) that you can provide for this job.\nIf provided, this ID will be used as an idempotency key.\nIf a job with this ID already exists, the API will return a `,_jsx(_components.code,{children:`409 Conflict`}),` error, and you can then use this `,_jsx(_components.code,{children:`job_id`}),` to retrieve the existing job’s status and results using `,_jsx(_components.code,{children:`/getJobById`}),`.\nIf not provided, a new unique ID will be automatically generated for the job.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status`,children:_jsx(_components.p,{children:`The status of the job creation request. Will be “ok” if successful.`})}),`\n`,_jsx(ResponseField,{name:`job_id`,type:`string`,id:`param-job-id-1`,children:_jsx(_components.p,{children:`The unique identifier for the created job.`})}),`\n`,_jsx(ResponseField,{name:`message`,type:`string`,id:`param-message`,children:_jsx(_components.p,{children:`A message indicating the result of the job creation request.`})}),`\n`,_jsxs(ResponseField,{name:`job`,type:`object`,id:`param-job`,children:[_jsx(_components.p,{children:`Details about the created job.`}),_jsxs(Expandable,{title:`Job Properties`,children:[_jsx(ResponseField,{name:`id`,type:`string`,id:`param-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the job.`})}),_jsx(ResponseField,{name:`status`,type:`string`,id:`param-status-1`,children:_jsx(_components.p,{children:`The current status of the job (e.g., “PENDING”, “RUNNING”, “COMPLETE”, “FAILED”, “RETRIED”).`})}),_jsx(ResponseField,{name:`created_at`,type:`string`,id:`param-created-at`,children:_jsx(_components.p,{children:`The timestamp when the job was created.`})}),_jsx(ResponseField,{name:`updated_at`,type:`string`,id:`param-updated-at`,children:_jsx(_components.p,{children:`The timestamp when the job was last updated.`})}),_jsx(ResponseField,{name:`agent_id`,type:`string`,id:`param-agent-id`,children:_jsx(_components.p,{children:`The ID of the agent used for this job.`})}),_jsx(ResponseField,{name:`input_payload`,type:`object`,id:`param-input-payload`,children:_jsx(_components.p,{children:`The input payload provided for the job.`})})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`example-request`,children:`Example Request`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`14`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`14`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` -X POST `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.parcha.ai/api/v1/startKYCAgentJob'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Authorization: Bearer YOUR_API_KEY'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`-d `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"agent_key\": \"kyc-standard-check\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"job_id\": \"your-custom-job-id-123e4567-e89b-12d3-a456-426614174002\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"kyc_schema\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"id\": \"parcha-kyc-demo-001\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"self_attested_data\": {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"first_name\": \"Jane\",`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"last_name\": \"Doe\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}'`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`32`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`32`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`api_key = `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'YOUR_API_KEY'`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`url = `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.parcha.ai/api/v1/startKYCAgentJob'`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`headers = {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Bearer {api_key}'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'application/json'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`data = {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'agent_key'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'kyc-standard-check'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'job_id'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'your-custom-job-id-123e4567-e89b-12d3-a456-426614174002'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'kyc_schema'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'id'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'parcha-kyc-demo-001'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'self_attested_data'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'first_name'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Jane'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'last_name'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Doe'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`response = requests.post(url, json=data, headers=headers)`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`if`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response.status_code == 409:`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` print(f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Job with ID {data.get('job_id')} already exists. Fetching existing job details...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:` # existing_job_response = requests.get(f'https://api.parcha.ai/api/v1/getJobById?job_id={data.get(\"job_id\")}', headers=headers)`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:` # print(existing_job_response.json())`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`elif`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` response.status_code == 200:`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` print(response.json())`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`else`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`:`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` print(f`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Error: {response.status_code} - {response.text}\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`TypeScript`,numberOfLines:`34`,language:`typescript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`typescript`,children:_jsxs(_components.code,{language:`typescript`,numberOfLines:`34`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` axios `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`from`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'axios'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`const`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` apiKey = `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'YOUR_API_KEY'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`const`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` url = `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'https://api.parcha.ai/api/v1/startKYCAgentJob'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`const`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` data = {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` agent_key: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'kyc-standard-check'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` job_id: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'your-custom-job-id-123e4567-e89b-12d3-a456-426614174002'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` kyc_schema: {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` id: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'parcha-kyc-demo-001'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` self_attested_data: {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` first_name: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Jane'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` last_name: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Doe'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`};`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`axios.post(url, data, {`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` headers: {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Authorization'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`Bearer ${apiKey}`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'Content-Type'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'application/json'`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`})`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.then(response => console.log(response.data))`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`catch`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(error => {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` if`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` (error.response \u0026\u0026 error.response.status === 409) {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` console.log(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:\"`Job with ID ${data.job_id} already exists. Fetching existing job details...`\"}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:\" // axios.get(`https://api.parcha.ai/api/v1/getJobById?job_id=${data.job_id}`, { headers: { 'Authorization': `Bearer ${apiKey}` } })\"})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:` // .then(existingJobResponse => console.log(existingJobResponse.data))`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:` // .catch(getJobError => console.error('Error fetching existing job:', getJobError));`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` } `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`else`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` console.error(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Error starting job:'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, error.response ? error.response.data : error.message);`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`});`})}),`\n`]})})})]}),`\n`,_jsx(Heading,{level:`2`,id:`example-response`,children:`Example Response`}),`\n`,_jsx(_components.p,{children:`Successful creation (200 OK):`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`23`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`23`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ok\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"job_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"job-67890-fghij\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"The job was successfully added to the queue.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"job\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"job-67890-fghij\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"PENDING\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"created_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2023-06-15T14:30:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"updated_at\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2023-06-15T14:30:00Z\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agent_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"kyc-standard-check\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"input_payload\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"agent_key\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"kyc-standard-check\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"kyc_schema\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"parcha-kyc-demo-001\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"self_attested_data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"first_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Jane\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"last_name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Doe\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"webhook_url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://your-webhook.com/kyc-updates\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[`Conflict (409 Conflict) if `,_jsx(_components.code,{children:`job_id`}),` already exists:`]}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"error\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Job with the provided ID already exists.\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"job_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"your-custom-job-id-123e4567-e89b-12d3-a456-426614174002\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(_components.p,{children:`This endpoint initiates a KYC agent job with the provided parameters. The response includes a job ID that can be used to track the progress and retrieve results of the KYC process.`})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Start KYC Agent Job","description":"Initiate a Know Your Customer (KYC) agent job","openapi":"POST /startKYCAgentJob","href":"/api-reference/startKYCAgentJob"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"API Endpoint","slug":"api-endpoint","depth":2,"children":[]},{"title":"Request Body","slug":"request-body","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]},{"title":"Example Request","slug":"example-request","depth":2,"children":[]},{"title":"Example Response","slug":"example-response","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"security":["b5ab2b2f-6054-4e36-9c0e-9c59e140027f"],"summary":"Start a KYC agent job","requestBody":"f2651832-9da3-469d-8cbe-bcb30b64577b","responses":{"200":"b005dcc9-7f60-4008-8f62-22310e7d4a14","400":"e3faddc0-e4af-489d-9534-eeee5cc11f9b","401":"bb6a4c8d-fc7f-4798-aea1-c4af9a71cdd5"},"method":"post","type":"path","servers":["e55b00ea-4984-4eaf-8501-93bd3d05e784","cb1c0450-4482-4499-881d-99170cecf6e3","e861c3ca-804d-4b34-b528-65116cd075f4","4757613f-4781-4a80-8983-f26fa3d1fee0"],"path":"/startKYCAgentJob","baseUrlOptions":["https://api.parcha.ai/api/v1","https://demo.parcha.ai/api/v1","https://us1.parcha.ai/api/v1","http://{your-company-domain}.parcha.ai/api/v1"],"title":"Start a KYC agent job","description":"Initiate a Know Your Customer (KYC) agent job","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","required":["agent_key","payload"],"properties":{"agent_key":{"type":"string","description":"The unique identifier for the agent","isRequired":true,"uniqueKey":"agent_key","typeLabel":"string"},"check_ids":{"type":"array","items":{"type":"string","uniqueKey":"check_ids.items.[INDEX]","typeLabel":"string"},"description":"The check IDs to run (runs all checks in agent configuration if not provided)","uniqueKey":"check_ids","typeLabel":"string[]"},"kyc_schema":{"type":"object","required":["id"],"properties":{"id":{"type":"string","description":"A unique id specific to the account being analyzed","isRequired":true,"uniqueKey":"kyc_schema.id","typeLabel":"string"},"self_attested_data":{"type":"object","properties":{"first_name":{"type":"string","description":"The first name of the individual","uniqueKey":"kyc_schema.self_attested_data.first_name","typeLabel":"string"},"middle_name":{"type":"string","description":"The middle name of the individual","uniqueKey":"kyc_schema.self_attested_data.middle_name","typeLabel":"string"},"last_name":{"type":"string","description":"The last name of the individual","uniqueKey":"kyc_schema.self_attested_data.last_name","typeLabel":"string"},"name_prefix":{"type":"string","description":"The prefix of the individual","uniqueKey":"kyc_schema.self_attested_data.name_prefix","typeLabel":"string"},"name_suffix":{"type":"string","description":"The suffix of the individual","uniqueKey":"kyc_schema.self_attested_data.name_suffix","typeLabel":"string"},"date_of_birth":{"type":"string","format":"date","description":"The date of birth of the individual, format YYYY-MM-DD","uniqueKey":"kyc_schema.self_attested_data.date_of_birth","typeLabel":"string\u003cdate>"},"address":{"type":"object","properties":{"street_1":{"type":"string","description":"Primary street address line","uniqueKey":"kyc_schema.self_attested_data.address.street_1","typeLabel":"string"},"street_2":{"type":"string","description":"Secondary street address line (optional)","uniqueKey":"kyc_schema.self_attested_data.address.street_2","typeLabel":"string"},"city":{"type":"string","description":"City name","uniqueKey":"kyc_schema.self_attested_data.address.city","typeLabel":"string"},"state":{"type":"string","description":"State/province code","uniqueKey":"kyc_schema.self_attested_data.address.state","typeLabel":"string"},"country_code":{"type":"string","description":"Two-letter ISO country code (e.g., \"US\", \"GB\")","uniqueKey":"kyc_schema.self_attested_data.address.country_code","typeLabel":"string"},"postal_code":{"type":"string","description":"Postal/ZIP code","uniqueKey":"kyc_schema.self_attested_data.address.postal_code","typeLabel":"string"}},"uniqueKey":"kyc_schema.self_attested_data.address","typeLabel":"object"},"associated_addresses":{"type":"array","items":{"type":"object","properties":{"street_1":{"type":"string","description":"Primary street address line","uniqueKey":"kyc_schema.self_attested_data.associated_addresses.items.[INDEX].street_1","typeLabel":"string"},"street_2":{"type":"string","description":"Secondary street address line (optional)","uniqueKey":"kyc_schema.self_attested_data.associated_addresses.items.[INDEX].street_2","typeLabel":"string"},"city":{"type":"string","description":"City name","uniqueKey":"kyc_schema.self_attested_data.associated_addresses.items.[INDEX].city","typeLabel":"string"},"state":{"type":"string","description":"State/province code","uniqueKey":"kyc_schema.self_attested_data.associated_addresses.items.[INDEX].state","typeLabel":"string"},"country_code":{"type":"string","description":"Two-letter ISO country code (e.g., \"US\", \"GB\")","uniqueKey":"kyc_schema.self_attested_data.associated_addresses.items.[INDEX].country_code","typeLabel":"string"},"postal_code":{"type":"string","description":"Postal/ZIP code","uniqueKey":"kyc_schema.self_attested_data.associated_addresses.items.[INDEX].postal_code","typeLabel":"string"}},"uniqueKey":"kyc_schema.self_attested_data.associated_addresses.items.[INDEX]","typeLabel":"object"},"description":"The associated addresses of the individual","uniqueKey":"kyc_schema.self_attested_data.associated_addresses","typeLabel":"object[]"},"country_of_nationality":{"type":"string","description":"The country of nationality of the individual","uniqueKey":"kyc_schema.self_attested_data.country_of_nationality","typeLabel":"string"},"country_of_residence":{"type":"string","description":"The country of residence of the individual","uniqueKey":"kyc_schema.self_attested_data.country_of_residence","typeLabel":"string"},"place_of_birth":{"type":"string","description":"The place of birth of the individual","uniqueKey":"kyc_schema.self_attested_data.place_of_birth","typeLabel":"string"},"sex":{"type":"string","description":"The sex of the individual","uniqueKey":"kyc_schema.self_attested_data.sex","typeLabel":"string"},"email":{"type":"string","format":"email","description":"The email of the individual","uniqueKey":"kyc_schema.self_attested_data.email","typeLabel":"string\u003cemail>"},"phone":{"type":"string","description":"The phone number of the individual","uniqueKey":"kyc_schema.self_attested_data.phone","typeLabel":"string"},"title":{"type":"string","description":"The title of the individual","uniqueKey":"kyc_schema.self_attested_data.title","typeLabel":"string"},"is_applicant":{"type":"boolean","description":"Whether this individual is the applicant","uniqueKey":"kyc_schema.self_attested_data.is_applicant","typeLabel":"boolean"},"is_business_owner":{"type":"boolean","description":"Whether this individual is a business owner","uniqueKey":"kyc_schema.self_attested_data.is_business_owner","typeLabel":"boolean"},"business_ownership_percentage":{"type":"number","description":"The percentage of business ownership","uniqueKey":"kyc_schema.self_attested_data.business_ownership_percentage","typeLabel":"number"},"proof_of_address_documents":{"type":"array","items":{"type":"object","properties":{"b64_document":{"type":"string","description":"Base64 encoded document content","uniqueKey":"kyc_schema.self_attested_data.proof_of_address_documents.items.[INDEX].b64_document","typeLabel":"string"},"file_name":{"type":"string","description":"Name of the document file","uniqueKey":"kyc_schema.self_attested_data.proof_of_address_documents.items.[INDEX].file_name","typeLabel":"string"},"source_type":{"type":"string","description":"Source type of the document","uniqueKey":"kyc_schema.self_attested_data.proof_of_address_documents.items.[INDEX].source_type","typeLabel":"string"}},"uniqueKey":"kyc_schema.self_attested_data.proof_of_address_documents.items.[INDEX]","typeLabel":"object"},"uniqueKey":"kyc_schema.self_attested_data.proof_of_address_documents","typeLabel":"object[]"},"source_of_funds_documents":{"type":"array","items":{"type":"object","properties":{"b64_document":{"type":"string","description":"Base64 encoded document content","uniqueKey":"kyc_schema.self_attested_data.source_of_funds_documents.items.[INDEX].b64_document","typeLabel":"string"},"file_name":{"type":"string","description":"Name of the document file","uniqueKey":"kyc_schema.self_attested_data.source_of_funds_documents.items.[INDEX].file_name","typeLabel":"string"},"source_type":{"type":"string","description":"Source type of the document","uniqueKey":"kyc_schema.self_attested_data.source_of_funds_documents.items.[INDEX].source_type","typeLabel":"string"}},"uniqueKey":"kyc_schema.self_attested_data.source_of_funds_documents.items.[INDEX]","typeLabel":"object"},"uniqueKey":"kyc_schema.self_attested_data.source_of_funds_documents","typeLabel":"object[]"}},"uniqueKey":"kyc_schema.self_attested_data","typeLabel":"object"}},"uniqueKey":"kyc_schema","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"agent_key":"\u003cstring>","check_ids":["\u003cstring>"]}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"b005dcc9-7f60-4008-8f62-22310e7d4a14":{"description":"Job started successfully","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","enum":["ok","failed","mock_success"],"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"job_id":{"oneOf":[{"type":"string","uniqueKey":"job_id.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"job_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"job_id","typeLabel":"string | null"},"message":{"type":"string","uniqueKey":"message","typeLabel":"string"},"job":{"oneOf":[{"type":"object","uniqueKey":"job.oneOf.0","typeLabel":"object"},{"type":"null","uniqueKey":"job.oneOf.1","typeLabel":"null"}],"uniqueKey":"job","typeLabel":"object | null"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":"ok","job_id":"\u003cstring>","message":"\u003cstring>","job":{}}}},"exampleType":"generated"}},"exampleType":"generated"},"e3faddc0-e4af-489d-9534-eeee5cc11f9b":{"description":"Invalid input","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"bb6a4c8d-fc7f-4798-aea1-c4af9a71cdd5":{"description":"Unauthorized","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}}},"security":{"b5ab2b2f-6054-4e36-9c0e-9c59e140027f":{"bearerAuth":{"type":"http","scheme":"bearer","description":"API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.","scopes":[]}}},"servers":{"e55b00ea-4984-4eaf-8501-93bd3d05e784":{"url":"https://api.parcha.ai/api/v1","description":"Agent Hub API server"},"cb1c0450-4482-4499-881d-99170cecf6e3":{"url":"https://demo.parcha.ai/api/v1","description":"Sandbox API server"},"e861c3ca-804d-4b34-b528-65116cd075f4":{"url":"https://us1.parcha.ai/api/v1","description":"Legacy API server"},"4757613f-4781-4a80-8983-f26fa3d1fee0":{"url":"http://{your-company-domain}.parcha.ai/api/v1","description":"Custom Enterpris server (your company's API server)"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.","scopes":[]},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"API key obtained from your Parcha account settings. Include as Bearer token in the Authorization header.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"api-reference/openapi.yaml"},"subdomain":"parcha","siteName":"Parcha API Documentation","title":"Start KYC Agent Job - Parcha API Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-11-27T05:00:52.303Z","originalFileLocation":"api-reference/startKYCAgentJob.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Initiate a Know Your Customer (KYC) agent job\">\u003cmeta data-mint-head name=\"application-name\" content=\"Parcha API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/parcha/vWy5nEWTx-CmFxeL/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/parcha/vWy5nEWTx-CmFxeL/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/parcha/vWy5nEWTx-CmFxeL/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/parcha/vWy5nEWTx-CmFxeL/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/parcha/vWy5nEWTx-CmFxeL/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/parcha/vWy5nEWTx-CmFxeL/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/parcha/vWy5nEWTx-CmFxeL/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/parcha/vWy5nEWTx-CmFxeL/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/parcha/vWy5nEWTx-CmFxeL/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Start KYC Agent Job - Parcha API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Initiate a Know Your Customer (KYC) agent job\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Parcha API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.parcha.ai/api-reference/startKYCAgentJob\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://parcha.mintlify.site/_mintlify/api/og/v2?division=Getting+Started\u0026amp;title=Start+KYC+Agent+Job\u0026amp;description=Initiate+a+Know+Your+Customer+%28KYC%29+agent+job\u0026amp;theme=9d90c28f390dc4f18139b7b6\u0026amp;signature=aeb4976c11e6583f091a97c9af33db1b89f052a1fc8ebeddcac9373dea28a5f2\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Start KYC Agent Job - Parcha API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Initiate a Know Your Customer (KYC) agent job\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://parcha.mintlify.site/_mintlify/api/og/v2?division=Getting+Started\u0026amp;title=Start+KYC+Agent+Job\u0026amp;description=Initiate+a+Know+Your+Customer+%28KYC%29+agent+job\u0026amp;theme=9d90c28f390dc4f18139b7b6\u0026amp;signature=aeb4976c11e6583f091a97c9af33db1b89f052a1fc8ebeddcac9373dea28a5f2\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/parcha/vWy5nEWTx-CmFxeL/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Parcha API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#5D5FEF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.parcha.ai/api-reference/startKYCAgentJob\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/startKYCAgentJob.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.parcha.ai/#organization\",\"name\":\"Parcha API Documentation\",\"url\":\"https://docs.parcha.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/parcha/_GDYRpzYlMyc6wKU/images/parcha_purple.svg?fit=max\u0026auto=format\u0026n=_GDYRpzYlMyc6wKU\u0026q=85\u0026s=eb582957b67a0292fa1a30de92e43bf4\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.parcha.ai#website\",\"name\":\"Parcha API Documentation\",\"url\":\"https://docs.parcha.ai\",\"publisher\":{\"@id\":\"https://docs.parcha.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.parcha.ai/api-reference/startKYCAgentJob#webpage\",\"url\":\"https://docs.parcha.ai/api-reference/startKYCAgentJob\",\"name\":\"Start KYC Agent Job\",\"description\":\"Initiate a Know Your Customer (KYC) agent job\",\"dateModified\":\"2025-11-27T05:00:52.303Z\",\"isPartOf\":{\"@id\":\"https://docs.parcha.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.parcha.ai/api-reference/startKYCAgentJob#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.parcha.ai/api-reference/startKYCAgentJob#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Getting Started\",\"item\":\"https://docs.parcha.ai/api-reference/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Start KYC Agent Job\",\"item\":\"https://docs.parcha.ai/api-reference/startKYCAgentJob\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.parcha.ai/api-reference/startKYCAgentJob#apireference\",\"headline\":\"Start KYC Agent Job\",\"name\":\"Start KYC Agent Job\",\"description\":\"Initiate a Know Your Customer (KYC) agent job\",\"url\":\"https://docs.parcha.ai/api-reference/startKYCAgentJob\",\"mainEntityOfPage\":{\"@id\":\"https://docs.parcha.ai/api-reference/startKYCAgentJob#webpage\"},\"dateModified\":\"2025-11-27T05:00:52.303Z\",\"publisher\":{\"@id\":\"https://docs.parcha.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.parcha.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Parcha API Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Parcha API Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/startKYCAgentJob.md","siteName":"Parcha API Documentation","nav":{"global":{"anchors":[{"anchor":"Blog","href":"https://parcha.ai/blog","icon":"newspaper"}]},"tabs":[{"tab":"Documentation","pages":[{"title":"Documentation","href":"/introduction"}]},{"tab":"API Reference","groups":[{"group":"Getting Started","pages":[{"title":"Introduction to Parcha API","href":"/api-reference/introduction"},{"title":"Start KYB Agent Job","description":"Initiate a Know Your Business (KYB) agent job","openapi":"POST /startKYBAgentJob","href":"/api-reference/startKYBAgentJob"},{"title":"Start KYC Agent Job","openapi":"POST /startKYCAgentJob","href":"/api-reference/startKYCAgentJob"},{"title":"Get Job by ID","description":"Retrieve detailed information about a specific job","openapi":"GET /getJobById","href":"/api-reference/getJobById"},{"title":"Get Jobs by Case ID","openapi":"GET /getJobsByCaseId","href":"/api-reference/getJobsByCaseId"},{"title":"Get Specific Check Result","openapi":"GET /getCheckResultFromJob","href":"/api-reference/getCheckResultFromJob"},{"title":"Get All Check Results","openapi":"GET /getCheckResults","href":"/api-reference/getCheckResults"},{"title":null,"href":"/api-reference/webhooks"},{"title":"Job Batches","href":"/api-reference/job-batches"},{"title":"Vendor Data Integration","href":"/api-reference/vendor-data-integration"}]},{"group":"Checks Results","pages":[{"title":"Check Result Object","href":"/api-reference/check-result"},{"group":"Business (KYB) Checks","pages":[{"title":"High Risk Country Check","href":"/api-reference/check-results/high-risk-country-check"},{"title":"Adverse Media Screening Check","href":"/api-reference/check-results/adverse-media-screening-check"},{"title":"Web Presence Check","href":"/api-reference/check-results/web-presence-check"},{"title":"Basic Business Profile Check","href":"/api-reference/check-results/basic-business-profile-check"},{"title":"High Risk Industry Check","href":"/api-reference/check-results/high-risk-industry-check"},{"title":"Incorporation Document Verification Result","href":"/api-reference/check-results/incorporation-document-verification"},{"title":"Business Ownership Document Verification Result","href":"/api-reference/check-results/business-ownership-document-verification"},{"title":"Proof of Address Document Verification Result","href":"/api-reference/check-results/proof-of-address-document-verification"},{"title":"EIN Document Verification Result","href":"/api-reference/check-results/ein-document-verification"},{"title":"Source of Funds Document Verification","href":"/api-reference/check-results/source-of-funds-document-verification"}]},{"group":"Individual (KYC) Checks","pages":[{"title":"Individual (KYC) Proof of Address Document Verification","href":"/api-reference/check-results/kyc-proof-of-address-document-verification"},{"title":"PEP Screening Check","href":"/api-reference/check-results/pep-screening-check"}]}]},{"group":"API Reference","pages":[{"title":"Start a KYB agent job","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /startKYBAgentJob","href":"/api-reference/start-a-kyb-agent-job"},{"title":"Start a KYC agent job","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /startKYCAgentJob","href":"/api-reference/start-a-kyc-agent-job"},{"title":"Get job by ID","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getJobById","href":"/api-reference/get-job-by-id"},{"title":"Get jobs by case ID","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getJobsByCaseId","href":"/api-reference/get-jobs-by-case-id"},{"title":"Run a check","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /runCheck","href":"/api-reference/run-a-check"},{"title":"Upload base64 document","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /uploadB64Document","href":"/api-reference/upload-base64-document"},{"title":"Get feedback inputs by key","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getFeedbackInputsByKey","href":"/api-reference/get-feedback-inputs-by-key"},{"title":"Send feedback","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /sendFeedback","href":"/api-reference/send-feedback"},{"title":"Test webhook","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /testWebhook","href":"/api-reference/test-webhook"},{"title":"Test webhook receiver","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /testWebhookReceiver","href":"/api-reference/test-webhook-receiver"},{"title":"Download report","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /downloadReport","href":"/api-reference/download-report"},{"title":"Generate report to Google Drive","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /generateReportToGDrive","href":"/api-reference/generate-report-to-google-drive"},{"title":"Generate bulk case reports","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /generateBulkCaseReports","href":"/api-reference/generate-bulk-case-reports"},{"title":"Export CSV batch","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /exportCSVBatch","href":"/api-reference/export-csv-batch"},{"title":"Get job batches","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getJobBatches","href":"/api-reference/get-job-batches"},{"title":"Get batch jobs","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getBatchJobs","href":"/api-reference/get-batch-jobs"},{"title":"Enqueue jobs from CSV","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /enqueueFromCSV","href":"/api-reference/enqueue-jobs-from-csv"},{"title":"Run flash check","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /runFlashCheck","href":"/api-reference/run-flash-check"},{"title":"Get checks overview data","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getChecksOverviewData","href":"/api-reference/get-checks-overview-data"},{"title":"Get a specific check result from job","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getCheckResultFromJob","href":"/api-reference/get-a-specific-check-result-from-job"},{"title":"Get check all results for a job","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getCheckResults","href":"/api-reference/get-check-all-results-for-a-job"},{"title":"Get source contents","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getSourceContents","href":"/api-reference/get-source-contents"},{"title":"Get all sources for an agent instance","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getAllSources","href":"/api-reference/get-all-sources-for-an-agent-instance"},{"title":"Get job metadata","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getJobMetadata","href":"/api-reference/get-job-metadata"},{"title":"Get job metadata by job ID","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getJobMetadataByJobId","href":"/api-reference/get-job-metadata-by-job-id"},{"title":"Get job metadata by case ID","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getJobMetadataByCaseId","href":"/api-reference/get-job-metadata-by-case-id"},{"title":"Get job status summary","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getJobStatusSummary","href":"/api-reference/get-job-status-summary"},{"title":"Get latest application state","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getLatestApplicationState","href":"/api-reference/get-latest-application-state"},{"title":"Get available checks","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getAvailableChecks","href":"/api-reference/get-available-checks"},{"title":"Get check information","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getCheckInfo","href":"/api-reference/get-check-information"},{"title":"Update application status","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /updateApplicationStatus","href":"/api-reference/update-application-status"},{"title":"Map CSV columns to schema fields","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /mapCsvColumns","href":"/api-reference/map-csv-columns-to-schema-fields"},{"title":"Enqueue jobs from various sources","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /enqueueFromSource","href":"/api-reference/enqueue-jobs-from-various-sources"},{"title":"Extract KYB schemas from source","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /getKybSchemasFromSource","href":"/api-reference/extract-kyb-schemas-from-source"},{"title":"Enqueue KYB schemas as jobs","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /enqueueKybSchemas","href":"/api-reference/enqueue-kyb-schemas-as-jobs"},{"title":"Get available checks with filtering","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /checks","href":"/api-reference/get-available-checks-with-filtering"},{"title":"Get thinking for a command instance","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getThinking","href":"/api-reference/get-thinking-for-a-command-instance"},{"title":"Get agent cost estimate","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /getAgentCostEstimate","href":"/api-reference/get-agent-cost-estimate"},{"title":"Get agent configuration cost estimate","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /getAgentConfigCostEstimate","href":"/api-reference/get-agent-configuration-cost-estimate"},{"title":"Enrich person data","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /enrichPerson","href":"/api-reference/enrich-person-data"},{"title":"Enrich company data","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /enrichCompany","href":"/api-reference/enrich-company-data"},{"title":"Scrape using specialized scrapers","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /specializedScraper","href":"/api-reference/scrape-using-specialized-scrapers"},{"title":"Get agent configuration","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /agent/config","href":"/api-reference/get-agent-configuration"},{"title":"Get agent schemas","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml get /agent-schemas/{agent_key}","href":"/api-reference/get-agent-schemas"},{"title":"Start a Persona KYB job","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /startPersonaKYBJob","href":"/api-reference/start-a-persona-kyb-job"},{"title":"Start a Persona KYC job","deprecated":null,"version":null,"openapi":"api-reference/openapi.yaml post /startPersonaKYCJob","href":"/api-reference/start-a-persona-kyc-job"}]}]}]},"basePath":"","title":"Start KYC Agent Job - Parcha API Documentation","deploymentId":"dpl_HhUetB7eHHDAmK9T1Teip38TgFx9","buildId":"dpl_HhUetB7eHHDAmK9T1Teip38TgFx9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-jJHA3WSo.js","utils-DbZn3Mjn.js","cloneDeep-CnBnaSyy.js","_Uint8Array-CMQtTgBR.js","isObject-FP1Yky1u.js","utils-Bl2DvzOJ.js","addUniqueKeysToSchema-BwOLo9p1.js","snippetPresets-BBiPpKa-.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","ApiExamples-C0px4Tml.js","isEqual-zAyttAAO.js","usePlaygroundInputsStore-Dell6dGw.js","shallow-0VKqkSqN.js","getApiPlaygroundDisplay-CP_ctPEB.js","CodeSnippet-5L35ic0s.js","CodeSnippets-DOXbNhJw.js","Page-DRLI_2Ue.js","getPastedJson-VhzT9m2P.js","icon-CD8_AtCO.js","MethodPill-DGgOMftG.js","DuplicateIcon-DZ6A_EtN.js","createIcon-DUl4oM5f.js","DynamicMarkdown-BGHukeRM.js","SectionHeading-ChrEUs8u.js","axios-vUo_bRtp.js","Markdown-Dj-na-_-.js","dist-C5gjFYHe.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","katex-YMM-FMeD.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js","AssistantPageLink-DEBW87tT.js"]}